package dojo.java;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * @author Norbert Wigbels (norbert@wigbels.de)
 */
public class FizzBuzzTest {

    FizzBuzz fb;

    @Before
    public void setup() {
        fb = new FizzBuzz();
    }

    @Test
    public void testWith1() {
        assertEquals("1", fb.evaluate(1));
    }

    @Test
    public void testWith2() {
        assertEquals("2", fb.evaluate(2));
    }

    @Test
    public void testWith3() {
        assertEquals("fizz", fb.evaluate(3));
    }

    @Test
    public void testWith4() {
        assertEquals("4", fb.evaluate(4));
    }

    @Test
    public void testWith5() {
        assertEquals("buzz", fb.evaluate(5));
    }

    @Test
    public void testWith6() {
        assertEquals("fizz", fb.evaluate(6));
    }

    @Test
    public void testWith10() {
        assertEquals("buzz", fb.evaluate(10));
    }

    @Test
    public void testWith15() {
        assertEquals("fizzbuzz", fb.evaluate(15));
    }


}
